Make minify cacheable

VERIFIED FIXED in 1.5.3

Status

VERIFIED FIXED
9 years ago
9 years ago

People

(Reporter: oremj, Assigned: jsocol)

Tracking

unspecified
1.5.3

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

9 years ago
I've made this change in production:


--- minify.conf.php.dist	2010-02-18 19:45:58.000000000 -0800
+++ minify.conf.php	2010-03-03 12:03:14.000000000 -0800
@@ -8,6 +8,7 @@
         'options' => $memcached_options
     ),
     'minify' => array(
+        'setExpires' => time() + 300,
         'groups' => array(
 
             'js_main' => array(


Can this be made in the dist file as well? Thanks.

Comment 1

9 years ago
Notes from IRC: we use etags, but should have a setExpires set according to Jeremy to make Zeus happier.
Assignee: nobody → laura
Target Milestone: --- → 1.5.3
OS: Mac OS X → All
Hardware: x86 → All

Updated

9 years ago
Assignee: laura → nobody
(Assignee)

Updated

9 years ago
Assignee: nobody → james
(Assignee)

Comment 2

9 years ago
Created attachment 432955 [details] [diff] [review]
adds the line from Jeremy's diff

Just adds the line from above.
Attachment #432955 - Flags: review?(paulc)
Comment on attachment 432955 [details] [diff] [review]
adds the line from Jeremy's diff

WFM, this adds an Expires value in the response headers.
Attachment #432955 - Flags: review?(paulc) → review+
(Assignee)

Comment 4

9 years ago
r64294 (trunk) / r64295 (fennec)
Status: NEW → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → FIXED
Verified FIXED; assets now have:

Expires: Sat, 20 Mar 2010 01:39:26 GMT

(Tested on both http://support-stage.mozilla.com and http://mobile-support-stage.mozilla.com/.)
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.